net.sf.jasperreports.engine.export

## Class FlashHtmlHandler

- java.lang.Object
- - net.sf.jasperreports.engine.export.FlashHtmlHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementHtmlHandler

      public class FlashHtmlHandler
      extends java.lang.Object
      implements GenericElementHtmlHandler

  A HTML export handler for generic print elements produced by `FlashPrintElement`.
  Version:
    $Id: FlashHtmlHandler.java 7092 2014-05-14 10:44:16Z narcism $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlashHtmlHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHtmlFragment(JRHtmlExporterContext exporterContext, JRGenericPrintElement element)` Outputs an HTML fragment that embeds a Flash movie.
    `static FlashHtmlHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Always exports.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlashHtmlHandler

          public FlashHtmlHandler()

  - ### Method Detail

    - #### getInstance

          public static FlashHtmlHandler getInstance()

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Always exports.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

    - #### getHtmlFragment

          public java.lang.String getHtmlFragment(JRHtmlExporterContext exporterContext,
                                         JRGenericPrintElement element)

      Outputs an HTML fragment that embeds a Flash movie.
      Specified by:
        `getHtmlFragment` in interface `GenericElementHtmlHandler`
        `element` - the generic print element
      Returns:
        the HTML fragment that represents the exported element
      See Also:
        `FlashPrintElement.PARAMETER_SWF_URL`, `FlashPrintElement.PARAMETER_FLASH_VAR_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com